Search Advertisers
curl --request GET \
--url https://api.sociavault.com/v1/scrape/google-ad-library/search-advertisers \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.sociavault.com/v1/scrape/google-ad-library/search-advertisers"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.sociavault.com/v1/scrape/google-ad-library/search-advertisers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"success": true,
"advertisers": {
"0": {
"name": "Nike Lee",
"advertiser_id": "AR18100938063227125761",
"region": "US"
},
"1": {
"name": "NIKE SRL",
"advertiser_id": "AR17365672681860497409",
"region": "IT"
},
"2": {
"name": "Nike Kola",
"advertiser_id": "AR05316777725531258881",
"region": "US"
},
"3": {
"name": "Nike, Inc.",
"advertiser_id": "AR16735076323512287233",
"region": "US"
},
"4": {
"name": "Nike Klara",
"advertiser_id": "AR17567291692413878273",
"region": "US"
},
"5": {
"name": "Nikel Kola",
"advertiser_id": "AR04767743191271079937",
"region": "US"
},
"6": {
"name": "Nikeson AB",
"advertiser_id": "AR00386048032979812353",
"region": "SE"
},
"7": {
"name": "Irina Nikel",
"advertiser_id": "AR09275785137675567105",
"region": "CA"
},
"8": {
"name": "nikesh seth",
"advertiser_id": "AR01903240892374843393",
"region": "US"
},
"9": {
"name": "Nikesh Patel",
"advertiser_id": "AR00479845772217548801",
"region": "US"
}
},
"websites": {
"0": {
"domain": "nike.cl"
},
"1": {
"domain": "nike.ae"
},
"2": {
"domain": "nike.com"
},
"3": {
"domain": "kannike.eu"
},
"4": {
"domain": "nike.in.ua"
},
"5": {
"domain": "nikesb.com"
},
"6": {
"domain": "nike.com.pe"
},
"7": {
"domain": "nike.com.kw"
},
"8": {
"domain": "nike.com.br"
},
"9": {
"domain": "nike.com.hk"
}
}
},
"credits_used": 1
}{
"error": "Query parameter is required"
}{
"error": "Invalid API key"
}{
"error": "Insufficient credits",
"required": 1,
"available": 0
}{
"error": "An error occurred while searching Google Ad Library advertisers"
}Google Ad Library
Search Advertisers
Search the Google Ad Transparency Library for advertisers to get their advertiser id
GET
/
v1
/
scrape
/
google-ad-library
/
search-advertisers
Search Advertisers
💳 1 credit per request
Authorizations
Query Parameters
The query to search for
Example:
"nike"
Response
Successful response
Key Response Fields:
advertisers[0].name: Advertiser display nameadvertisers[0].advertiser_id: Unique advertiser ID to use in other endpointsadvertisers[0].region: Country code of the advertiser (e.g.US,IT)websites[0].domain: Associated domain name matching the search query
⌘I